# Interface FunctionExternalValueInfoKnown

This type of FunctionExternalValueInfo is used for a known function of a known class.

#### Category

Function types

#### Hierarchy

- FunctionExternalValueInfoKnown

- Defined in codec/lib/format/values.ts:475

#####
Index

### Properties

abi
contract
kind
selector

## Properties

### abi

abi: FunctionEntry

- Defined in codec/lib/format/values.ts:482

### contract

contract: ContractValueInfoKnown

- Defined in codec/lib/format/values.ts:477

### kind

kind: "known"

- Defined in codec/lib/format/values.ts:476

### selector

selector: string

formatted as a hex string

- Defined in codec/lib/format/values.ts:481

Generated using TypeDoc